local ____lualib = require("lualib_bundle")
local __TS__New = ____lualib.__TS__New
local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local PlayerForm = ____isaac_2Dtypescript_2Ddefinitions.PlayerForm
local ____ReadonlyMap = require("types.ReadonlyMap")
local ReadonlyMap = ____ReadonlyMap.ReadonlyMap
--- Maps transformation names to the values of the `PlayerForm` enum.
____exports.TRANSFORMATION_NAME_TO_PLAYER_FORM_MAP = __TS__New(ReadonlyMap, {
    {"guppy", PlayerForm.GUPPY},
    {"cat", PlayerForm.GUPPY},
    {"beelzebub", PlayerForm.BEELZEBUB},
    {"fly", PlayerForm.BEELZEBUB},
    {"funGuy", PlayerForm.FUN_GUY},
    {"mushroom", PlayerForm.FUN_GUY},
    {"seraphim", PlayerForm.SERAPHIM},
    {"angel", PlayerForm.SERAPHIM},
    {"bob", PlayerForm.BOB},
    {"poison", PlayerForm.BOB},
    {"spun", PlayerForm.SPUN},
    {"drugs", PlayerForm.SPUN},
    {"needles", PlayerForm.SPUN},
    {"yesMother", PlayerForm.YES_MOTHER},
    {"mother", PlayerForm.YES_MOTHER},
    {"mom", PlayerForm.YES_MOTHER},
    {"conjoined", PlayerForm.CONJOINED},
    {"triple", PlayerForm.CONJOINED},
    {"leviathan", PlayerForm.LEVIATHAN},
    {"devil", PlayerForm.LEVIATHAN},
    {"ohCrap", PlayerForm.OH_CRAP},
    {"crap", PlayerForm.OH_CRAP},
    {"poop", PlayerForm.OH_CRAP},
    {"bookWorm", PlayerForm.BOOKWORM},
    {"adult", PlayerForm.ADULT},
    {"spiderBaby", PlayerForm.SPIDER_BABY},
    {"stompy", PlayerForm.STOMPY}
})
return ____exports
